<?php
/**
*
* @package phpBB Extension - Kirk Stat Block
* @copyright (c) 2014 Kirk
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace kirk\statblock\event;

/**
* @ignore
*/
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
* Event listener
*/
class listener implements EventSubscriberInterface
{
	static public function getSubscribedEvents()
	{
		return array(
			'core.user_setup'	=> 'load_language_on_setup',
		);
	}

	/* @var \phpbb\controller\helper */
	protected $helper;

	/* @var \phpbb\db\driver\driver_interface */
	protected $db;

	/* @var \phpbb\template\template */
	protected $template;

	/* @var \phpbb\user */
	protected $user;

	/* @var string phpEx */
	protected $php_ext;

	/**
	* Constructor
	*
	* @param \phpbb\controller\helper			$helper		Controller helper object
	* @param \phpbb\db\driver\driver_interface	$db			Database object
	* @param \phpbb\template					$template	Template object
	* @param string								$php_ext	phpEx
	*/

	public function load_language_on_setup($event)
	{
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'kirk/statblock',
			'lang_set' => 'statblock',
		);
		$event['lang_set_ext'] = $lang_set_ext;
	}
}